import emod_api.interventions.outbreak as ob
from emod_api import schema_to_class as s2c

def new_intervention(timestep, camp, coverage=0.01):
    """
    Seed HIV infection at a certain timestep, with a certain prevalence.

    Parameters:
        timestep (float): When? Timestep at which outbreak should occur.
        camp: emod_api.campaign object that has schema_path.
        coverage: How Much? The intended level of initial prevalance.

    Returns: 
        event: event as dict
    """
    event = ob.seed_by_coverage( timestep, camp, coverage )
    # add h-o specific Target_Config
    from . import utils as hiv_utils
    hiv_utils.declutter( event )
    return event
    
